#
# spec file for package gap-guava
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-guava
Summary:        GAP package for computing with error-correcting codes
Version:        3.13
Release:        lp152.3.6
License:        GPL-2.0
Group:          Productivity/Scientific/Math
URL:            https://osj1961.github.io/guava/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/guava-%version.tar.bz2
Patch1:         guava-make.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libtool
BuildRequires:  gap-devel >= 4.8.0
BuildRequires:  gap-rpm-devel
Requires:       gap-core >= 4.8.0
Suggests:       gap-sonata >= 2.3

%description
GUAVA is a package that implements coding theory algorithms in GAP.
With GUAVA, codes can be created and manipulated and information
about codes can be calculated.

GUAVA consists of various files written in the GAP language, and an
external program for dealing with automorphism groups of codes and
isomorphism testing functions. Several algorithms that need the speed
are integrated in the GAP kernel.

%prep
%setup -qn guava-%version
%patch -P 1 -p1

%build
./configure "%gapdir"
pushd src/leon/
./configure "%gapdir"
popd
make -j1

%install
%gappkg_simple_install
rm -Rf "%buildroot/$moddir/src"

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sat Sep  9 2017 jengelh@inai.de
- Add guava-make.diff
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 3.13
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split guava (version 3.12) off the gap RPM package
